=== debian/changelog ===
smpq (1.5-1) unstable; urgency=low

  * Initial release (Closes: #633931)

 -- Pali Rohár <pali.rohar@gmail.com>  Fri, 29 Jul 2016 00:03:25 +0200
