=== debian/control ===
Source: smpq
Section: utils
Priority: optional
Maintainer: Pali Rohár <pali.rohar@gmail.com>
Build-Depends: debhelper (>= 9), cmake, libstorm-dev (>= 9.20), kdelibs5-dev
Standards-Version: 3.9.8
Homepage: https://launchpad.net/smpq
Vcs-Bzr: lp:smpq
Vcs-Browser: https://code.launchpad.net/smpq

Package: smpq
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: StormLib MPQ archiving utility
 SMPQ is StormLib MPQ archiving utility. This utility is designed for full
 manipulating with Blizzard MPQ archives. It supports extracting, appending,
 renaming and deleting files in MPQ archives. It also can create MPQ archive.
 SMPQ can access to different type of MPQ archives and version. It support
 encrypted, compressed, partial and patched MPQ archives with version 1-4.
 SMPQ is free opensource command line utility written in C/C++ which use
 multiplatform C++ StormLib library.

Package: kio-smpq
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: KDE4 kio plugin for StormLib MPQ archiving utility
 This is KDE4 KIO plugin which add support for all KDE4 applications
 (e.g. Konqueror, Dolphin, Kate, ... and all KDE4 open/save dialogs) access to
 MPQ archives like to directory or network drive (or FTP). This is simple way
 how to integrate MPQ support on KDE4 desktop (There is no need to use some MPQ
 viewer/editor. All KDE4 application can open MPQ archives in read/write mode).
 .
 This plugin is part of SMPQ. But it does not depend on SMPQ application binary.
