## smpq 1.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,7 +18,7 @@
 #
 
 project(SMPQ)
-set(VERSION 1.5)
+set(VERSION 1.6)
 cmake_minimum_required(VERSION 2.6)
 
 option(WITH_CMD "Enable smpq console application" ON)
@@ -97,6 +97,7 @@
 
 	if(WIN32 AND NOT MSVC)
 		set_target_properties(smpq PROPERTIES LINK_FLAGS -static)
+		target_link_libraries(smpq wininet stdc++)
 	endif(WIN32 AND NOT MSVC)
 
 	install(TARGETS smpq DESTINATION bin)
@@ -148,6 +149,7 @@
 
 		file(COPY ${CMAKE_CURRENT_SOURCE_DIR}/COPYING DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
 		file(COPY ${CMAKE_CURRENT_SOURCE_DIR}/README DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
+		file(COPY ${CMAKE_CURRENT_SOURCE_DIR}/CHANGELOG DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
 
 		if(CMAKE_SIZEOF_VOID_P STREQUAL 4)
 			add_custom_command(TARGET smpq POST_BUILD
@@ -156,7 +158,7 @@
 			)
 		endif(CMAKE_SIZEOF_VOID_P STREQUAL 4)
 
-		add_custom_command(OUTPUT ${MAKENSIS_OUTPUT} COMMAND ${MAKENSIS} ARGS ${MAKENSIS_FLAGS} ${SMPQ_NSIS} DEPENDS smpq smpq.nsi COPYING)
+		add_custom_command(OUTPUT ${MAKENSIS_OUTPUT} COMMAND ${MAKENSIS} ARGS ${MAKENSIS_FLAGS} ${SMPQ_NSIS} DEPENDS smpq smpq.nsi COPYING README CHANGELOG)
 		add_custom_target(installer ALL DEPENDS ${MAKENSIS_OUTPUT})
 
 	endif(WIN32 AND WITH_NSIS)
