=== debian/changelog ===
smpq (1.6-2) unstable; urgency=medium

  * Update Standards-Version to 4.1.5
  * Update to debhelper 11
  * Update watch and signing-key.asc
  * Enable LFS support
  * Use https links in copyright
  * Drop KDE4 package kio-smpq (Closes: #875182)

 -- Pali Rohár <pali.rohar@gmail.com>  Sun, 08 Jul 2018 13:06:31 +0200

smpq (1.6-1) unstable; urgency=low

  * New upstream release 1.6
  * Fix license name from GPL-3.0+ to GPL-3+
  * Update upstream signing-key
  * Bump compat level to 10
  * Stop installing README file

 -- Pali Rohár <pali.rohar@gmail.com>  Tue, 13 Dec 2016 02:00:23 +0100
