=== debian/control ===
Source: smpq
Section: utils
Priority: optional
Maintainer: Pali Rohár <pali.rohar@gmail.com>
Build-Depends: debhelper (>= 11~), cmake, libstorm-dev
Standards-Version: 4.1.5
Homepage: https://launchpad.net/smpq
Vcs-Bzr: lp:smpq
Vcs-Browser: https://code.launchpad.net/smpq

Package: smpq
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: StormLib MPQ archiving utility
 SMPQ is StormLib MPQ archiving utility. This utility is designed for full
 manipulating with Blizzard MPQ archives. It supports extracting, appending,
 renaming and deleting files in MPQ archives. It also can create MPQ archives.
 SMPQ can access different types and versions of MPQ archives. It supports
 encrypted, compressed, partial and patched MPQ archives in version 1-4.
 SMPQ is free opensource command line utility written in C which uses
 multiplatform C++ StormLib library.
