=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all future=+lfs

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DWITH_KDE=OFF
